package ossClient

import (
	"jygit.jydev.jianyu360.cn/BaseService/ossClient/entity"
	"testing"
	"time"
)

// rpc方式下载附件
func TestDownloadByGrpc(t *testing.T) {
	for {
		b, err := GetBidDetailByGrpc("127.0.0.1:8012", &entity.Args{
			BucketID:   "58b9393361a0721f1516be41",
			ObjectName: imgFileName,
		})
		t.Log(err, b)
		time.Sleep(3 * time.Second)
	}
}

// rpc方式下载附件
func TestGetBidDetailByGrpc(t *testing.T) {
	for {
		b, err := GetBidDetailByGrpc("127.0.0.1:8012", &entity.Args{
			BucketID:   "58b9393361a0721f1516be41",
			ObjectName: imgFileName,
		})
		t.Log(err, b.Data.(string))
		time.Sleep(3 * time.Second)
	}
}
